# Uses of Interface
org.eclipse.core.databinding.observable.set.IObservableSet

Packages that use IObservableSet
Package
Description
org.eclipse.core.databinding
Provides classes for binding observable objects, for example UI widgets and model objects.
org.eclipse.core.databinding.observable
Provides the core APIs for observing changes in objects.
org.eclipse.core.databinding.observable.map
Provides classes that can be used to observe changes in maps.
org.eclipse.core.databinding.observable.masterdetail
Provides classes that can be used to observe a detail of a master object.
org.eclipse.core.databinding.observable.set
Provides classes that can be used to observe changes in sets.
org.eclipse.core.databinding.property
Interfaces and classes for representing and observing properties of objects.
org.eclipse.core.databinding.property.set
org.eclipse.core.databinding.property.value
org.eclipse.core.databinding.validation
Provides the core APIs for validation.
org.eclipse.jface.databinding.viewers
Provides classes that can be used to observe the JFace Viewer framework.

## Uses of IObservableSet in org.eclipse.core.databinding

Methods in org.eclipse.core.databinding with parameters of type IObservableSet
Modifier and Type
Method
Description
`final <T, M> Binding`
DataBindingContext.`bindSet(IObservableSet<T> targetObservableSet, IObservableSet<M> modelObservableSet)`
Creates a `Binding` to synchronize the values of two `observable sets`.
`final <T, M> Binding`
DataBindingContext.`bindSet(IObservableSet<T> targetObservableSet, IObservableSet<M> modelObservableSet, UpdateSetStrategy<? super T,? extends M> targetToModel, UpdateSetStrategy<? super M,? extends T> modelToTarget)`
Creates a `Binding` to synchronize the values of two `observable sets`.
`protected <M, T> UpdateSetStrategy<M,T>`
DataBindingContext.`createModelToTargetUpdateSetStrategy(IObservableSet<M> modelObservableSet, IObservableSet<T> targetObservableSet)`
Returns an update value strategy to be used for copying value set from the model set to the target set.
`protected <T, M> UpdateSetStrategy<T,M>`
DataBindingContext.`createTargetToModelUpdateSetStrategy(IObservableSet<T> targetObservableSet, IObservableSet<M> modelObservableSet)`
Returns an update value strategy to be used for copying value set from the target set to the model set.
`protected IStatus`
UpdateSetStrategy.`doAdd(IObservableSet<? super D> observableSet, D element)`
Adds the given element at the given index to the given observable list.
`protected IStatus`
UpdateSetStrategy.`doRemove(IObservableSet<? super D> observableSet, D element)`
Removes the element at the given index from the given observable list.
`protected void`
UpdateSetStrategy.`fillDefaults(IObservableSet<? extends S> source, IObservableSet<? super D> destination)`
Constructors in org.eclipse.core.databinding with parameters of type IObservableSet
Modifier
Constructor
Description
``
`SetBinding(IObservableSet<T> target, IObservableSet<M> model, UpdateSetStrategy<? super T,? extends M> targetToModelStrategy, UpdateSetStrategy<? super M,? extends T> modelToTargetStrategy)`

## Uses of IObservableSet in org.eclipse.core.databinding.observable

Methods in org.eclipse.core.databinding.observable that return IObservableSet
Modifier and Type
Method
Description
`static <E> IObservableSet<E>`
Observables.`emptyObservableSet()`
Returns an empty observable set.
`static <E> IObservableSet<E>`
Observables.`emptyObservableSet(Object elementType)`
Returns an empty observable set of the given element type.
`static <E> IObservableSet<E>`
Observables.`emptyObservableSet(Realm realm)`
Returns an empty observable set belonging to the given realm.
`static <E> IObservableSet<E>`
Observables.`emptyObservableSet(Realm realm, Object elementType)`
Returns an empty observable set of the given element type and belonging to the given realm.
`static <E> IObservableSet<E>`
Observables.`proxyObservableSet(IObservableSet<E> target)`
Returns an observable set that contains the same elements as the given set, and fires the same events as the given set, but can be disposed of without disposing of the wrapped set.
`static <E> IObservableSet<E>`
Observables.`staticObservableSet(Set<E> set)`
Returns an observable set backed by the given set.
`static <E> IObservableSet<E>`
Observables.`staticObservableSet(Set<E> set, Object elementType)`
Returns an observable set of the given element type, backed by the given set.
`static <E> IObservableSet<E>`
Observables.`staticObservableSet(Realm realm, Set<E> set)`
Returns an observable set belonging to the given realm, backed by the given set.
`static <E> IObservableSet<E>`
Observables.`staticObservableSet(Realm realm, Set<E> set, Object elementType)`
Returns an observable set of the given element type and belonging to the given realm, backed by the given set.
`static <E> IObservableSet<E>`
Observables.`unmodifiableObservableSet(IObservableSet<E> set)`
Returns an unmodifiable observable set backed by the given observable set.
Methods in org.eclipse.core.databinding.observable with parameters of type IObservableSet
Modifier and Type
Method
Description
`static <E> IObservableSet<E>`
Observables.`proxyObservableSet(IObservableSet<E> target)`
Returns an observable set that contains the same elements as the given set, and fires the same events as the given set, but can be disposed of without disposing of the wrapped set.
`static <E> IObservableSet<E>`
Observables.`unmodifiableObservableSet(IObservableSet<E> set)`
Returns an unmodifiable observable set backed by the given observable set.

## Uses of IObservableSet in org.eclipse.core.databinding.observable.map

Constructors in org.eclipse.core.databinding.observable.map with parameters of type IObservableSet
Modifier
Constructor
Description
``
`ComputedObservableMap(IObservableSet<K> keySet)`
``
`ComputedObservableMap(IObservableSet<K> keySet, Object valueType)`
Constructor parameters in org.eclipse.core.databinding.observable.map with type arguments of type IObservableSet
Modifier
Constructor
Description
``
`CompositeMap(IObservableMap<K,I> firstMap, IObservableFactory<? super IObservableSet<I>,? extends IObservableMap<I,V>> secondMapFactory)`
Creates a new composite map.

## Uses of IObservableSet in org.eclipse.core.databinding.observable.masterdetail

Methods in org.eclipse.core.databinding.observable.masterdetail that return IObservableSet
Modifier and Type
Method
Description
`static <M, E> IObservableSet<E>`
MasterDetailObservables.`detailSet(IObservableValue<M> master, IObservableFactory<? super M,? extends IObservableSet<E>> detailFactory, Object detailElementType)`
Creates a detail observable set from a master observable value and a factory.
Methods in org.eclipse.core.databinding.observable.masterdetail with parameters of type IObservableSet
Modifier and Type
Method
Description
`static <M, E> IObservableMap<M,E>`
MasterDetailObservables.`detailValues(IObservableSet<M> masterSet, IObservableFactory<? super M,IObservableValue<E>> detailFactory, Object detailType)`
Returns a detail observable map where the map's key set is the same as the given observable set, and where each value is the detail value of the element in the master observable set.
Method parameters in org.eclipse.core.databinding.observable.masterdetail with type arguments of type IObservableSet
Modifier and Type
Method
Description
`static <M, E> IObservableSet<E>`
MasterDetailObservables.`detailSet(IObservableValue<M> master, IObservableFactory<? super M,? extends IObservableSet<E>> detailFactory, Object detailElementType)`
Creates a detail observable set from a master observable value and a factory.

## Uses of IObservableSet in org.eclipse.core.databinding.observable.set

Classes in org.eclipse.core.databinding.observable.set that implement IObservableSet
Modifier and Type
Class
Description
`class`
`AbstractObservableSet<E>`
Abstract implementation of `IObservableSet`.
`class`
`ComputedSet<E>`
A lazily calculated set that automatically computes and registers listeners on its dependencies as long as all of its dependencies are `IObservable` objects.
`class`
`DecoratingObservableSet<E>`
An observable set which decorates another observable set.
`class`
`ListToSetAdapter<E>`
Observable set backed by an observable list.
`class`
`MappedSet`
Deprecated.
This class is deprecated.
`class`
`ObservableSet<E>`
Abstract implementation of `IObservableSet`.
`final class`
`UnionSet<E>`
Represents a set consisting of the union of elements from one or more other sets.
`class`
`WritableSet<E>`
Mutable (writable) implementation of `IObservableSet`.
Methods in org.eclipse.core.databinding.observable.set that return IObservableSet
Modifier and Type
Method
Description
`static <E> IObservableSet<E>`
ComputedSet.`create(Supplier<Set<E>> supplier)`
Factory method to create `ComputedSet` objects in an easy manner.
`IObservableSet<E>`
SetChangeEvent.`getObservableSet()`
Returns the observable set from which this event originated.
Constructors in org.eclipse.core.databinding.observable.set with parameters of type IObservableSet
Modifier
Constructor
Description
``
`DecoratingObservableSet(IObservableSet<E> decorated, boolean disposeDecoratedOnDispose)`
Constructs a DecoratingObservableSet which decorates the given observable.
``
`MappedSet(IObservableSet input, IObservableMap map)`
Deprecated.
``
`SetChangeEvent(IObservableSet<E> source, SetDiff<E> diff)`
Creates a new set change event.
``
`UnionSet(IObservableSet<? extends E>[] childSets)`
``
`UnionSet(IObservableSet<? extends E>[] childSets, Object elementType)`
Constructor parameters in org.eclipse.core.databinding.observable.set with type arguments of type IObservableSet
Modifier
Constructor
Description
``
`UnionSet(Set<IObservableSet<? extends E>> childSets)`
``
`UnionSet(Set<IObservableSet<? extends E>> childSets, Object elementType)`

## Uses of IObservableSet in org.eclipse.core.databinding.property

Methods in org.eclipse.core.databinding.property with parameters of type IObservableSet
Modifier and Type
Method
Description
`static <E, P> IObservableMap<E,? extends P>[]`
Properties.`observeEach(IObservableSet<E> domainSet, IValueProperty<? super E,? extends P>... properties)`
Returns an array of observable maps where each map observes the corresponding value property on all elements in the given domain set, for each property in the given array.

## Uses of IObservableSet in org.eclipse.core.databinding.property.set

Methods in org.eclipse.core.databinding.property.set that return IObservableSet
Modifier and Type
Method
Description
`IObservableSet<E>`
DelegatingSetProperty.`observe(Realm realm, S source)`
`IObservableSet<E>`
DelegatingSetProperty.`observe(S source)`
`IObservableSet<E>`
ISetProperty.`observe(Realm realm, S source)`
Returns an observable set observing this set property on the given property source
`IObservableSet<E>`
ISetProperty.`observe(S source)`
Returns an observable set observing this set property on the given property source
`IObservableSet<E>`
SetProperty.`observe(S source)`
`IObservableSet<E>`
SimpleSetProperty.`observe(Realm realm, S source)`
`IObservableSet<E>`
UnionSetProperty.`observe(Realm realm, S source)`
`<U extends S>
IObservableSet<E>`
ISetProperty.`observeDetail(IObservableValue<U> master)`
Returns an observable set on the master observable's realm which tracks this property of the current value of `master`.
`<U extends S>
IObservableSet<E>`
SetProperty.`observeDetail(IObservableValue<U> master)`
Methods in org.eclipse.core.databinding.property.set that return types with arguments of type IObservableSet
Modifier and Type
Method
Description
`IObservableFactory<S,IObservableSet<E>>`
ISetProperty.`setFactory()`
Returns a factory for creating observable sets tracking this property of a particular property source.
`IObservableFactory<S,IObservableSet<E>>`
ISetProperty.`setFactory(Realm realm)`
Returns a factory for creating observable sets in the given realm, tracking this property of a particular property source.
`IObservableFactory<S,IObservableSet<E>>`
SetProperty.`setFactory()`
`IObservableFactory<S,IObservableSet<E>>`
SetProperty.`setFactory(Realm realm)`

## Uses of IObservableSet in org.eclipse.core.databinding.property.value

Methods in org.eclipse.core.databinding.property.value with parameters of type IObservableSet
Modifier and Type
Method
Description
`<U extends S>
IObservableMap<U,T>`
DelegatingValueProperty.`observeDetail(IObservableSet<U> master)`
`<M extends S>
IObservableMap<M,T>`
IValueProperty.`observeDetail(IObservableSet<M> master)`
Returns an observable map on the master observable's realm where the map's key set is the specified master set, and where each key maps to the current property value for each element.
`<U extends S>
IObservableMap<U,T>`
SimpleValueProperty.`observeDetail(IObservableSet<U> master)`
`<V extends S>
IObservableMap<V,T>`
ValueProperty.`observeDetail(IObservableSet<V> master)`

## Uses of IObservableSet in org.eclipse.core.databinding.validation

Methods in org.eclipse.core.databinding.validation that return IObservableSet
Modifier and Type
Method
Description
`<E> IObservableSet<E>`
MultiValidator.`observeValidatedSet(IObservableSet<E> target)`
Returns a wrapper `IObservableSet` which stays in sync with the given target observable only when the validation status is valid.
Methods in org.eclipse.core.databinding.validation with parameters of type IObservableSet
Modifier and Type
Method
Description
`<E> IObservableSet<E>`
MultiValidator.`observeValidatedSet(IObservableSet<E> target)`
Returns a wrapper `IObservableSet` which stays in sync with the given target observable only when the validation status is valid.

## Uses of IObservableSet in org.eclipse.jface.databinding.viewers

Subinterfaces of IObservableSet in org.eclipse.jface.databinding.viewers
Modifier and Type
Interface
Description
`interface`
`IViewerObservableSet<E>`
`IObservableSet` observing a JFace Viewer.
Methods in org.eclipse.jface.databinding.viewers that return IObservableSet
Modifier and Type
Method
Description
`IObservableSet<E>`
ObservableListContentProvider.`getKnownElements()`
Returns the set of elements known to this content provider.
`IObservableSet<E>`
ObservableListTreeContentProvider.`getKnownElements()`
Returns the set of elements known to this content provider.
`IObservableSet<E>`
ObservableSetContentProvider.`getKnownElements()`
Returns the set of elements known to this content provider.
`IObservableSet<E>`
ObservableSetTreeContentProvider.`getKnownElements()`
Returns the set of elements known to this content provider.
`IObservableSet<E>`
ObservableListContentProvider.`getRealizedElements()`
Returns the set of known elements which have been realized in the viewer.
`IObservableSet<E>`
ObservableListTreeContentProvider.`getRealizedElements()`
Returns the set of known elements which have been realized in the viewer.
`IObservableSet<E>`
ObservableSetContentProvider.`getRealizedElements()`
Returns the set of known elements which have been realized in the viewer.
`IObservableSet<E>`
ObservableSetTreeContentProvider.`getRealizedElements()`
Returns the set of known elements which have been realized in the viewer.
`IObservableSet<E>`
IViewerSetProperty.`observe(S viewer)`
This method is redeclared to trigger ambiguous method errors that are hidden by a suspected Eclipse compiler bug 536911.
`IObservableSet<E>`
ViewerSetProperty.`observe(Realm realm, S source)`
`IObservableSet<E>`
ViewerSetProperty.`observe(S source)`
Methods in org.eclipse.jface.databinding.viewers with parameters of type IObservableSet
Modifier and Type
Method
Description
`static <E> void`
ViewerSupport.`bind(StructuredViewer viewer, IObservableSet<E> input, IValueProperty<? super E,?> labelProperty)`
Binds the viewer to the specified input, using the specified label property to generate labels.
`static <E> void`
ViewerSupport.`bind(StructuredViewer viewer, IObservableSet<E> input, IValueProperty<? super E,?>... labelProperties)`
Binds the viewer to the specified input, using the specified label properties to generate labels.
Constructors in org.eclipse.jface.databinding.viewers with parameters of type IObservableSet
Modifier
Constructor
Description
``
`ListeningLabelProvider(IObservableSet<E> itemsThatNeedLabels)`
Constructor parameters in org.eclipse.jface.databinding.viewers with type arguments of type IObservableSet
Modifier
Constructor
Description
``
`ObservableSetTreeContentProvider(IObservableFactory<? super E,? extends IObservableSet<E>> setFactory, TreeStructureAdvisor<E> structureAdvisor)`
Constructs an ObservableListTreeContentProvider using the given list factory.